문서로 건너뛰기
API

초대 수락

초대가 주는 역할과 주소로 워크스페이스에 참여합니다.

POST/account/invitations/{invitationId}/accept

워크스페이스에 실제 호출을 실행합니다.

POST /account/invitations/{invitationId}/accept

초대가 주는 역할과 주소로 워크스페이스에 참여합니다.

예시

account:write가 필요합니다. activate가 true이면 앱이 그 사람에게 열어 주는 워크스페이스로도 정합니다. 본문은 생략할 수 있습니다.

curl
curl -X POST "$OE/account/invitations/winv_6bb640f5b99e47deb758f1f5/accept" -H "$AUTH" \  -H "Content-Type: application/json" -d '{ "activate": true }'
응답
{  "object": "invitation",  "id": "winv_6bb640f5b99e47deb758f1f5",  "accepted": true,  "workspaceId": "a8f3c2d1-6e4b-4c9a-b7d2-3f1e0c8a5b96",  "workspaceName": "Globex",  "addressesGranted": 2,  "domainsGranted": 0,  "activated": true}

모든 사람에게 2단계 인증으로 로그인하도록 요구하는 워크스페이스는 그 사람이 앱에서 2단계 인증을 켤 때까지 403 two_factor_required입니다.

만료되었거나, 철회되었거나, 다른 주소로 간 초대는 422(invitation_expired, invitation_revoked 또는 invitation_wrong_account)이고, 더 이상 대기 중이 아닌 초대는 404 invitation_not_found입니다.

이미 수락한 초대를 다시 수락하면 성공하고 아무것도 바뀌지 않습니다.

레퍼런스